/**
 * 延迟
 */
export declare function delay(ms: number): Promise<void>;
/**
 * 转16进制字符串
 * @param limit 转换长度限制
 */
export declare function toHexStr(data: Uint8Array, limit?: number): string;
/**
 * 节流器
 *
 * 单位时间内只执行一次
 * @param limit 单位时间(毫秒)
 */
export declare function throttle(fn: Function, limit: number): () => void;
/**
 * 重试器
 * @param maxAttempts 最大重试次数
 * @param delay 每次重试延迟时间(毫秒)
 */
export declare function retry<T = any>(fn: () => Promise<T>, maxAttempts?: number, delay?: number): Promise<T>;
